Bug 979639 - Text cmdline kickstart doesn't handle missing packages
Text cmdline kickstart doesn't handle missing packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 969434 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 20:44 EDT by Brian Lane
Modified: 2015-01-09 15:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 15:04:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2013-06-28 20:44:14 EDT
Using LMC to create a disk image/iso uses kickstart, cmdline and dirinstall. If the kickstart has packages that can't be found it falls into an error loop. meh tries to deal with it, but gets stuck.

If you disable meh it reveals that pyanaconda/ui/tui/hubs/progress.py refresh is getting called repeatedly. Here's what I've tracked down so far:

yumpayload hits a missing package.
It calls its _handleMissing method
That calls errorHandler.cb with the noSuchPackage error
The cb calls _noSuchPackageHandler
which calls showYesNoQuestion
That checks for kickstart install and just returns False.

but then the end of errorHandler.cb sees the self.ui is Text
self.ui.run() is called and this ends up calling progress.py refresh() again.

This might not be a problem, except that refresh() is starting the install thread so it throws an error because the thread is already running. Resulting in another error, another call to self.ui.run, refresh() etc.

I'm not yet sure how to fix this, just documenting what I have found so far.
Comment 1 David Shea 2013-08-02 16:25:27 EDT
*** Bug 969434 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2015-01-09 13:34:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 David Shea 2015-01-09 15:04:22 EST
Anaconda just exits now instead of making cmdline mode freak out.

Note You need to log in before you can comment on or make changes to this bug.